<?php
/**
 * Clase Base Bean para BaseCrPedidocabeceraBN
 *
 * @package    Sedapal
 * @subpackage BaseCrPedidocabeceraBN
 * @author     Willy
 * @version    SVN:: BaseCrPedidocabeceraBN.class.php,v 1.1 2012-07-28 12:36:17 william.taype Exp $
 */
abstract class BaseCrPedidocabeceraBN
{
  protected $Idpedidocabecera;
  protected $Fechaoperacion;
  protected $Montototal;
  protected $Montoaprobado;
  protected $Montorechazado;
  protected $Montoentregado;
  protected $Montonoentregado;
  protected $Estado;
  protected $Usuariocreacion;
  protected $Fechacreacion;
  protected $Usuariomodificacion;
  protected $Fechamodificacion;
  protected $Comentario;
  protected $Usuarioeliminado;
  protected $Fechaeliminado;
  protected $Eliminado;
  protected $Idcolaboradordestino;
  protected $Idcolaboradorrepresentante;
  protected $Comentariosupervisor;
  protected $Numeropedidos;
  protected $Numeropedidosaprobados;
  protected $Numeropedidosdesaprobados;
  protected $Mensaje;
  protected $Error;

  public function getIdpedidocabecera(){
    return $this->Idpedidocabecera;
  }
  public function setIdpedidocabecera($v1){
    $this->Idpedidocabecera = $v1; 
  }

  public function getFechaoperacion(){
    return $this->Fechaoperacion;
  }
  public function setFechaoperacion($v1){
    $this->Fechaoperacion = $v1; 
  }

  public function getMontototal(){
    return $this->Montototal;
  }
  public function setMontototal($v1){
    $this->Montototal = $v1; 
  }

  public function getMontoaprobado(){
    return $this->Montoaprobado;
  }
  public function setMontoaprobado($v1){
    $this->Montoaprobado = $v1; 
  }

  public function getMontorechazado(){
    return $this->Montorechazado;
  }
  public function setMontorechazado($v1){
    $this->Montorechazado = $v1; 
  }

  public function getMontoentregado(){
    return $this->Montoentregado;
  }
  public function setMontoentregado($v1){
    $this->Montoentregado = $v1; 
  }

  public function getMontonoentregado(){
    return $this->Montonoentregado;
  }
  public function setMontonoentregado($v1){
    $this->Montonoentregado = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getUsuariocreacion(){
    return $this->Usuariocreacion;
  }
  public function setUsuariocreacion($v1){
    $this->Usuariocreacion = $v1; 
  }

  public function getFechacreacion(){
    return $this->Fechacreacion;
  }
  public function setFechacreacion($v1){
    $this->Fechacreacion = $v1; 
  }

  public function getUsuariomodificacion(){
    return $this->Usuariomodificacion;
  }
  public function setUsuariomodificacion($v1){
    $this->Usuariomodificacion = $v1; 
  }

  public function getFechamodificacion(){
    return $this->Fechamodificacion;
  }
  public function setFechamodificacion($v1){
    $this->Fechamodificacion = $v1; 
  }

  public function getComentario(){
    return $this->Comentario;
  }
  public function setComentario($v1){
    $this->Comentario = $v1; 
  }

  public function getUsuarioeliminado(){
    return $this->Usuarioeliminado;
  }
  public function setUsuarioeliminado($v1){
    $this->Usuarioeliminado = $v1; 
  }

  public function getFechaeliminado(){
    return $this->Fechaeliminado;
  }
  public function setFechaeliminado($v1){
    $this->Fechaeliminado = $v1; 
  }

  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v1){
    $this->Eliminado = $v1; 
  }

  public function getIdcolaboradordestino(){
    return $this->Idcolaboradordestino;
  }
  public function setIdcolaboradordestino($v1){
    $this->Idcolaboradordestino = $v1; 
  }

  public function getIdcolaboradorrepresentante(){
    return $this->Idcolaboradorrepresentante;
  }
  public function setIdcolaboradorrepresentante($v1){
    $this->Idcolaboradorrepresentante = $v1; 
  }

  public function getComentariosupervisor(){
    return $this->Comentariosupervisor;
  }
  public function setComentariosupervisor($v1){
    $this->Comentariosupervisor = $v1; 
  }

  public function getNumeropedidos(){
    return $this->Numeropedidos;
  }
  public function setNumeropedidos($v1){
    $this->Numeropedidos = $v1; 
  }

  public function getNumeropedidosaprobados(){
    return $this->Numeropedidosaprobados;
  }
  public function setNumeropedidosaprobados($v1){
    $this->Numeropedidosaprobados = $v1; 
  }

  public function getNumeropedidosdesaprobados(){
    return $this->Numeropedidosdesaprobados;
  }
  public function setNumeropedidosdesaprobados($v1){
    $this->Numeropedidosdesaprobados = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_pedidocabeceraBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_pedidocabeceraRs )
  {
    $o_CrPedidocabeceraBN = new CrPedidocabeceraBN();
    $o_CrPedidocabeceraBN->setIdpedidocabecera( $o_Cr_pedidocabeceraRs['idpedidocabecera'] );
    $o_CrPedidocabeceraBN->setFechaoperacion( $o_Cr_pedidocabeceraRs['fechaoperacion'] );
    $o_CrPedidocabeceraBN->setMontototal( $o_Cr_pedidocabeceraRs['montototal'] );
    $o_CrPedidocabeceraBN->setMontoaprobado( $o_Cr_pedidocabeceraRs['montoaprobado'] );
    $o_CrPedidocabeceraBN->setMontorechazado( $o_Cr_pedidocabeceraRs['montorechazado'] );
    $o_CrPedidocabeceraBN->setMontoentregado( $o_Cr_pedidocabeceraRs['montoentregado'] );
    $o_CrPedidocabeceraBN->setMontonoentregado( $o_Cr_pedidocabeceraRs['montonoentregado'] );
    $o_CrPedidocabeceraBN->setEstado( $o_Cr_pedidocabeceraRs['estado'] );
    $o_CrPedidocabeceraBN->setUsuariocreacion( $o_Cr_pedidocabeceraRs['usuariocreacion'] );
    $o_CrPedidocabeceraBN->setFechacreacion( $o_Cr_pedidocabeceraRs['fechacreacion'] );
    $o_CrPedidocabeceraBN->setUsuariomodificacion( $o_Cr_pedidocabeceraRs['usuariomodificacion'] );
    $o_CrPedidocabeceraBN->setFechamodificacion( $o_Cr_pedidocabeceraRs['fechamodificacion'] );
    $o_CrPedidocabeceraBN->setComentario( $o_Cr_pedidocabeceraRs['comentario'] );
    $o_CrPedidocabeceraBN->setUsuarioeliminado( $o_Cr_pedidocabeceraRs['usuarioeliminado'] );
    $o_CrPedidocabeceraBN->setFechaeliminado( $o_Cr_pedidocabeceraRs['fechaeliminado'] );
    $o_CrPedidocabeceraBN->setEliminado( $o_Cr_pedidocabeceraRs['eliminado'] );
    $o_CrPedidocabeceraBN->setIdcolaboradordestino( $o_Cr_pedidocabeceraRs['idcolaboradordestino'] );
    $o_CrPedidocabeceraBN->setIdcolaboradorrepresentante( $o_Cr_pedidocabeceraRs['idcolaboradorrepresentante'] );
    $o_CrPedidocabeceraBN->setComentariosupervisor( $o_Cr_pedidocabeceraRs['comentariosupervisor'] );
    $o_CrPedidocabeceraBN->setNumeropedidos( $o_Cr_pedidocabeceraRs['numeropedidos'] );
    $o_CrPedidocabeceraBN->setNumeropedidosaprobados( $o_Cr_pedidocabeceraRs['numeropedidosaprobados'] );
    $o_CrPedidocabeceraBN->setNumeropedidosdesaprobados( $o_Cr_pedidocabeceraRs['numeropedidosdesaprobados'] );
    return $o_CrPedidocabeceraBN;
  }
}